DynamicJava Javadoc: Class ClassPool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter
Class ClassPool

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.ClassPool

public class ClassPool
extends java.lang.Object

The instances of this class contains classinfos

Field Summary
`protected java.util.Map` | `classes` The map that contains the classinfos

Constructor Summary
`ClassPool()`

Method Summary
`ClassInfo` | `add(java.lang.String cn, ClassInfo ci)` Adds a classinfo to the pool
`boolean` | `contains(java.lang.String cn)` Tests whether this pool contains the given class
`ClassInfo` | `get(java.lang.String cn)` Returns the class info mapped with the given key
`ClassInfo` | `getFirstCompilable()` Gets the first compilable class in the pool

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classes

    protected java.util.Map classes

  The map that contains the classinfos

Constructor Detail

### ClassPool

    public ClassPool()

Method Detail

### add

    public ClassInfo add(java.lang.String cn,
                         ClassInfo ci)

  Adds a classinfo to the pool
  Parameters:
    `cn` - the classname
    `ci` - the classinfo
  Returns:
    the given class info

### contains

    public boolean contains(java.lang.String cn)

  Tests whether this pool contains the given class
  Parameters:
    `cn` - the classname

### get

    public ClassInfo get(java.lang.String cn)

  Returns the class info mapped with the given key
  Parameters:
    `cn` - the classname

### getFirstCompilable

    public ClassInfo getFirstCompilable()

  Gets the first compilable class in the pool
  Returns:
    null if no class was found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.